<!-- PERSONAL INFO FORM -->
<form [formGroup]="personalInfoForm">
    <mat-expansion-panel expanded="true">
        <mat-expansion-panel-header>
            <mat-panel-title>
                Personal Information
            </mat-panel-title>
            <mat-panel-description>
                Required
            </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="row ">

            <div class="col-xl-6">
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Title</mat-label>
                    <app-add-new-dropdown formControlName="title" [isRestrictSpecCharNum]="true" [categoryId]="APP_DATA_TITLE"></app-add-new-dropdown>
                </mat-form-field>
            </div>

            <div class="col-xl-6">
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Gender</mat-label>
                    <mat-select formControlName="gender">
                        <mat-option [value]="gender.value" *ngFor="let gender of genderList">
                            {{gender.value}}
                        </mat-option>
                    </mat-select>

                </mat-form-field>
            </div>
            <!-- First name  -->
            <div class="col-xl-6">
                <div class="text-right required-label-top-container">
                    <span class="required-label-top">Required</span>
                </div>
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>First name</mat-label>
                    <input matInput placeholder="Frist name" type="text" formControlName="firstName" required autocomplete="off" appCharLimit [frmGroup]="personalInfoForm" fcName="firstName" [max]="30" (keydown)="restricateSpecCharNum($event)" >
                    <mat-error *ngIf="personalInfoForm.get('firstName').hasError('required') && personalInfoForm.get('firstName').touched">
                        This field is required
                    </mat-error>
                    <mat-error *ngIf="personalInfoForm.get('firstName').hasError('exceedLimit')">
                        {{personalInfoForm.get('firstName').getError('exceedLimit')}}
                    </mat-error>
                </mat-form-field>
            </div>

            <!-- Last name  -->
            <div class="col-xl-6">
                <div class="text-right required-label-top-container">
                    <span class="required-label-top">Required</span>
                </div>
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Last name</mat-label>
                    <input matInput placeholder="Last name" type="text" formControlName="lastName" required appCharLimit [frmGroup]="personalInfoForm" fcName="lastName" [max]="30" autocomplete="off" (keydown)="restricateSpecCharNum($event)" >
                    <mat-error *ngIf="personalInfoForm.get('lastName').hasError('required') && personalInfoForm.get('lastName').touched">
                        This field is required
                    </mat-error>
                    <mat-error *ngIf="personalInfoForm.get('lastName').hasError('exceedLimit')">
                        {{personalInfoForm.get('lastName').getError('exceedLimit')}}
                    </mat-error>
                </mat-form-field>
            </div>

            <!-- Middle name  -->
            <div class="col-xl-6" [ngStyle]="{'height': personalInfoForm.get('nickName').hasError('required') ? '98.31px' : 'auto', 'margin-top': '10px'}">
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Middle name</mat-label>
                    <input matInput placeholder="Middle name" type="text" formControlName="middleName" autocomplete="off" appCharLimit [frmGroup]="personalInfoForm" fcName="middleName" [max]="30" (keydown)="restricateSpecCharNum($event)" >
                    <mat-error *ngIf="personalInfoForm.get('middleName').hasError('exceedLimit')">
                        {{personalInfoForm.get('middleName').getError('exceedLimit')}}
                    </mat-error>
                </mat-form-field>
            </div>

            <!-- Preferred name  -->
            <div class="col-xl-6">
                <div class="text-right required-label-top-container">
                    <span class="required-label-top">Required</span>
                </div>
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Preferred name</mat-label>
                    <input matInput placeholder="Preferred name" type="text" formControlName="nickName" required autocomplete="off" appCharLimit [frmGroup]="personalInfoForm" fcName="nickName" [max]="15" (keydown)="restricateSpecCharNum($event)" >
                    <mat-error *ngIf="personalInfoForm.get('nickName').hasError('required') && personalInfoForm.get('nickName').touched">
                        This field is required
                    </mat-error>
                    <mat-error *ngIf="personalInfoForm.get('nickName').hasError('exceedLimit')">
                        {{personalInfoForm.get('nickName').getError('exceedLimit')}}
                    </mat-error>
                </mat-form-field>
            </div>

            <!-- Date of birth  -->
            <div class="col-xl-6">
                <!-- <mat-form-field appearance="outline">
                    <mat-label>Date Of Birth</mat-label>
                    <app-date-picker formControlName="dob" [value]="this.personalInfoForm.get('dob').value" (valueChange)="onDateSelect($event)"></app-date-picker>
                </mat-form-field> -->

                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Date Of Birth</mat-label>
                    <app-date-picker [max]="max" (valueChange)="onDateSelect($event)" [value]="personalInfoForm.controls['dob'].value"></app-date-picker>
                    <mat-error *ngIf="personalInfoForm.controls['dob'].touched && personalInfoForm.controls['dob'].value == null">
                        Data not entered
                    </mat-error>
                </mat-form-field>
                <app-calender-popup *ngIf="dobInputElem" [anchor]="dobInputElem" [max]="max" (valueChange)="onDateSelect($event)"></app-calender-popup>
            </div>

            <!-- Qualifications  -->
            <div class="col-xl-6">
                <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Qualifications</mat-label>
                    <input matInput placeholder="Qualifications" type="text" formControlName="qualification" autocomplete="off" (input)="onPaste($event, 100)" appCharLimit [frmGroup]="personalInfoForm" fcName="qualification" [max]="100">
                    <mat-error *ngIf="personalInfoForm.get('qualification').hasError('exceedLimit')">
                        {{personalInfoForm.get('qualification').getError('exceedLimit')}}
                    </mat-error>
                </mat-form-field>
            </div>

            <!-- Address  -->
          <div class="col-xl-12">
            <app-address-field [addressForm]="personalInfoForm" containerClass="add-edit-staff-content" ></app-address-field>
          </div>
        </div>
    </mat-expansion-panel>
</form>
